# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: Apache-2.0

# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))


# Workaround to install and execute git-lfs on Read the Docs
# See: https://github.com/readthedocs/readthedocs.org/issues/1846
import os
on_rtd = os.environ.get('READTHEDOCS', None) == 'True'
if on_rtd and not os.path.exists('./git-lfs'):
    def system_check_fail(cmd):
        e = os.system(cmd)
        if e != 0:
            raise Exception('Failed cmd: {}.'.format(cmd))

    lfs_version = 'v3.0.2'
    lfs_arch = 'amd64'
    system_check_fail('wget -nc https://github.com/git-lfs/git-lfs/releases/download/{v}/git-lfs-linux-{a}-{v}.tar.gz'.format(v = lfs_version, a = lfs_arch))
    if not os.path.exists('git-lfs-{}'.format(lfs_version)):
        os.mkdir('git-lfs-{}'.format(lfs_version))
    system_check_fail('tar -C git-lfs-{v} -xvzf git-lfs-linux-{a}-{v}.tar.gz'.format(v = lfs_version, a = lfs_arch))
    system_check_fail('./git-lfs-{}/git-lfs install'.format(lfs_version))
    system_check_fail('./git-lfs-{}/git-lfs fetch'.format(lfs_version))
    system_check_fail('./git-lfs-{}/git-lfs checkout'.format(lfs_version))

# -- Project information -----------------------------------------------------

project = 'Oniro Project Blueprints'
copyright = '2021'
author = 'Oniro Project'

version = 'dunfell'
#probably has to be changed to kirkstone


release = version

# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ['sphinxcontrib.plantuml']

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = 'en'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = "sphinx_rtd_theme"
html_static_path = ['_static']
html_logo = "ONIRO.svg"
html_theme_options = {
    'logo_only': True,
    'display_version': False,
}
# The file custom.css added to adjust the logo width.
html_css_files = [
    'css/custom.css',
]

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
# html_static_path = ['_static']

html_show_sourcelink = False
